Subject: Re: symbolic link management in git-archive

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Mar 2008 09:31:23 -0700

Sergio Callegari <[email-masked]> writes:

> I guess the answer is "no" or "not yet", but is there a way to tell the zip
> backend of git-archive to follow symbolic links rather than to store them?

I am not sure what you mean.  Are you tracking a symbolic link X that
points at Y in your revision and expecting git-archive to include whatever
happens to be at Y (which may or may not even exist) when you run the
command?

If that is the case, the answer is "no" and "will never happen".  If you
are tracking a symbolic link X that points at Y, the information git
tracks is the fact that there is a symbolic link X that points at Y, and
not what Y happens to look like at a random moment.  Change to Y is not
tracked by git so why should you get different output from git-archive of
the same revision before and after you modify Y which is not part of the
revision to begin with?

If that is not what you are asking, please restate the question.